petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatComputeExplicitOperator

Computes the explicit matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatComputeExplicitOperator(Mat inmat,Mat *mat)

Collective on Mat Many br

### Input Parameter

inmat -the matrix Many br

### Output Parameter

mat -the explict preconditioned operator Many br

### Notes

This computation is done by applying the operators to columns of the Many bridentity matrix. Many br

Currently, this routine uses a dense matrix format when 1 processor Many bris used and a sparse format otherwise. This routine is costly in general, Many brand is recommended for use only with relatively small systems. Many br

Many br

### Keywords

Mat, compute, explicit, operator

Level:advanced
Location:src/mat/utils/axpy.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages